import 'rxjs';

// Modules
import { NgModule } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { BrowserModule } from '@angular/platform-browser';
import { RouterModule } from '@angular/router';

import { GistPopoverService } from './services/gist-popover.service';
import { GistPopoverDirective } from './directives/gist-popover.directive';
import { GistPopoverTargetComponent } from './component/gist-popover-target/gist-popover-target.component';
import { GistPopoverDisplayerComponent } from './component/gist-popover-displayer/gist-popover-displayer.component';

@NgModule( {
    imports: [
        BrowserModule,
        FormsModule,
        RouterModule
    ],
    declarations: [
        GistPopoverTargetComponent,
        GistPopoverDisplayerComponent,
        GistPopoverDirective
    ],
    providers: [
        GistPopoverService
    ],
    exports: [
        GistPopoverTargetComponent,
        GistPopoverDirective
    ],
} )
export class GistPopoverModule { }
