import { Injectable, TemplateRef } from '@angular/core';
import { Router, NavigationEnd } from '@angular/router';
import { PopoverEntry } from '../classes/popover-entry.class';

@Injectable()
export class GistPopoverService {
    public _popovers: PopoverEntry[] = [];

    private idIndexMap: { [ s: number ]: number } = {};

    public registerPopover( templateRef: TemplateRef<any> ): PopoverEntry {
        let entry = new PopoverEntry( templateRef );
        this.idIndexMap[ entry.id ] = this._popovers.length;

        this._popovers.push( entry );
        return entry;
    }

    public unRegisterPopover( entry: PopoverEntry ): void {
        let targetIndex = this.idIndexMap[ entry.id ];
        this._popovers.splice( targetIndex, 1);
        entry.destroy();
    }
}